#!/bin/tclsh
#
# v_cmdbinder.tcl, command binder for glftpd
set revision "Feb/5/2002"
 
#
# official homepage      : http://vware.hypermart.net
# author's email         : moopowah@yahoo.com
#
#
# :: Description ::
#     let's say you know some couriers sniff pre's by the site commands
#     DAYUP, LASTON, and TRAFFIC.  you already disabled the first two by
#     doing this in glftpd.conf:
#         site_cmd DAYUP          EXEC    /bin/false
#         site_cmd LASTON         EXEC    /bin/false
#         custom-laston           !*
#         custom-dayup            !*
#     but you still want siteops to use the TRAFFIC command (so you
#     don't want to entirely disable the command).  this means we want
#     to rebind the command.  we need this script because the TRAFFIC
#     command IS NOT listed in glftpd.conf as a command that you can
#     fiddle with its bindings (like ADDIP, ADDUSER, CHANGE,
#     CHANGEFLAGS, etc.).  if it were listed, then we would not need
#     this script! :)  this script is very specific to its needs, you
#     tell it a single flag the user must have in order to execute the
#     desired command (in our example, it's SITE TRAFFIC, and by default
#     we want only +1 users, or siteops, to use it).  the end result is,
#     only +1 users can now execute SITE TRAFFIC.
#
# :: Requirements ::
#     1) optional: 2/3 of a human brain.
#
# :: Installation ::
#     1) edit glftpd.conf and add this line:
#            cscript SITE[:space:]TRAFFIC pre /bin/cmdBinder.tcl
#        where TRAFFIC is the command you want to rebind (this is an
#        example).  if you want to rebind more command, just add more of
#        these lines with TRAFFIC replaced with your desired command
#        (not too complicated!).
#
# :: Todo ::
#     1) if the need ever arises, make this script handle binding
#        specifications just as glftpd does in glftpd.conf.  so allow
#        types to be multiple users, flags, or groups.  and allow
#        operators like negation (!).
#
#######################################################################


### Configuration ###
#
# The glftpd flag the user must have to continue with the desired
# command.  Just one flag!
set allowFlag "1"

#######################################################################




if {[string match "*$allowFlag*" $env(FLAGS)]} {
    exit 0
}
puts "500 Permission denied."
exit 1

# EOF. :-)
